get
https://{artifactory_host}/distribution/api/v1/metrics
Returns Distribution service metrics in OpenMetrics (Prometheus) text format.
The following metrics are returned:
| Metric | Description | Prometheus Metric Type |
|---|---|---|
jfds_total_number_of_release_bundles_total | The total number of Release Bundles created. | COUNTER |
jfds_number_of_created_release_bundle_versions_total | The number of Release Bundle versions created per request type (API, UI). | COUNTER |
jfds_number_of_signed_release_bundle_versions_total | The total number of signed Release Bundle versions. | COUNTER |
jfds_number_of_deleted_release_bundle_versions_total | The total number of deleted Release Bundle versions. | COUNTER |
jfds_size_of_release_bundle_versions_in_bytes_total | The size (in bytes) of all artifacts in all signed Release Bundle versions. | COUNTER |
jfds_number_of_artifacts_in_release_bundle_version_max | The maximum number of artifacts in a Release Bundle version. | GAUGE |
jfds_number_of_artifacts_in_release_bundle_version_bucket | The number of artifacts in a Release Bundle version (rounded off into units of 10, 50, 100, 500, 1000, 5000, 10000, 50000, and infinite). | HISTOGRAM |
jfds_number_of_artifacts_in_release_bundle_version_per_package_type_total | The number of artifacts in a Release Bundle version per package type. | COUNTER |
jfds_number_of_artifactory_queries_total | The number of queries used to construct the Release Bundle. | COUNTER |
jfds_number_of_queries_with_additional_properties_total | The number of queries containing additional properties. | COUNTER |
jfds_number_of_queries_with_path_mapping_total | The total number of queries that include path mapping (path and repo modifications). | COUNTER |
jfds_number_of_path_mapping_based_on_last_promotion_total | The total number of path mappings based on the last successful Release Bundle v2 promotion. | COUNTER |
jfds_number_of_modifications_of_path_total | The total number of modifications made to the original path during distribution operations. | COUNTER |
jfds_number_of_modifications_of_repo_total | The total number of modifications that have been made to the original repository. | COUNTER |
jfds_distribution_build_info | The Distribution service version and revision. | GAUGE |
jfds_total_number_of_distribution_requests_total | The total number of Release Bundle v1 distribution start actions. | COUNTER |
jfds_total_number_of_distribution_requests_v2_total | The total number of Release Bundle v2 distribution start actions. | COUNTER |
jfds_total_number_of_distribution_requests_with_project_v2_total | The total number of Release Bundle v2 distribution start actions performed in the context of a project. | COUNTER |
jfds_number_of_distribution_requests_per_trigger_type_total | The total number of Release Bundle (v1 & v2) distribution start actions per request type (API, UI). | COUNTER |
jfds_total_number_of_exports_requests_v2_total | The total number of export operations for Release Bundle v2 versions. | COUNTER |
jfds_number_of_distributions_per_status_total | The total number of Release Bundle v1 distributions per status (completed, failed). | COUNTER |
jfds_number_of_distributions_per_status_v2_total | The total number of Release Bundle v2 distributions per status (completed, failed). | COUNTER |
jfds_number_of_exports_per_status_v2_total | The total number of export operations per status (completed, failed). | COUNTER |
jfds_number_of_remote_deletion_requests_per_trigger_type_total | The total number of Release Bundle v1 remote delete actions per request type (API, UI). | COUNTER |
jfds_number_of_remote_deletion_requests_per_trigger_type_v2_total | The total number of Release Bundle v2 remote delete actions per request type (API, UI). | COUNTER |
jfds_number_of_approved_distributions_total | The total number of Release Bundle v1 distribution/exports approved by Xray. | COUNTER |
jfds_number_of_approved_distributions_v2_total | The number of Release Bundle v2 distributions/exports approved by Xray. | COUNTER |
jfds_number_of_xray_scan_result_not_allowed_total | The total number of distribution failures due to Xray scan results of NOT ALLOWED. Possible reasons: blocked, not_indexed (v2 only), not_found_in_artifactory (v2 only). | COUNTER |
jfds_number_of_rejected_distributions_total | The total number of Release Bundle v1 distribution/exports blocked by Xray. | COUNTER |
jfds_number_of_rejected_distributions_v2_total | The total number of Release Bundle v2 distribution/exports blocked by Xray. | COUNTER |
jfds_number_of_api_requests_per_endpoint_total | The total number of API requests that were processed per endpoint. | COUNTER |
